ServerEvents.recipes(e=> {

  //空的烈焰人燃烧室
  e.remove({ output: 'create:empty_blaze_burner' })
  e.shaped('create:empty_blaze_burner',[
   'UEU', 
   'ECE', 
   'UEU'
  ], {
    U: '#forge:fences/steel',
    E: '#forge:plates/steel',
    C: 'immersiveengineering:blastbrick'
  })
   //传送带
   e.remove({ output: 'create:belt_connector'})
   e.shaped('12x create:belt_connector',[
    'U U', 
    'DCD', 
    'U U'
   ], {
     U: 'immersiveengineering:conveyor_basic',
     D: 'thermal:cured_rubber',
     C: 'nwtc:gelatum'
   })
    //强力胶
    e.remove({ output:'create:super_glue'})
    e.shaped('create:super_glue',[
     '  U', 
     ' C ', 
     'U U'
    ], {
      U: '#forge:ingots/brass',
      C: 'nwtc:gelatum'
    })
   //风车轴承
   e.remove({ output: 'create:windmill_bearing'})
   e.shaped('4x create:windmill_bearing',[
    'UEU', 
    'ECE', 
    'UEU'
   ], {
     U: 'solarcraft:runic_planks',
     E: 'immersiveengineering:windmill_blade',
     C: 'nwtc:gelatum'
   })
  //动力轴承
   e.remove({ output: 'create:mechanical_bearing'})
   e.shaped('4x create:mechanical_bearing',[
    'UEU', 
    'ECE', 
    'UEU'
   ], {
     U: 'solarcraft:runic_planks',
     E: '#forge:plates/steel',
     C: 'nwtc:gelatum'
   })
   //矿车装配站
   e.remove({ output: 'create:cart_assembler'})
   e.shaped('create:cart_assembler',[
    '   ', 
    'ECE', 
    'UEU'
   ], {
     U: 'create:brass_casing',
     E: 'naturesaura:infused_iron',
     C: 'create:mechanical_bearing'
   })
   //动力钻头
   e.remove({ output: 'create:mechanical_drill'})
   e.shaped('32x create:mechanical_drill',[
    ' C ', 
    ' C ', 
    'UEU'
   ], {
     U: 'create:andesite_casing',
     E: 'create:shaft',
     C: 'immersiveengineering:drillhead_steel'
   })
   //轨道
   e.remove({ output: 'create:track'})
   e.shaped('12x create:track',[
    'UCU', 
    'UCU', 
    'UCU'
   ], {
     C: '#forge:stone',
     U: '#forge:ingots/iron'
   })
   //机械手
   e.remove({ output: 'create:deployer'})
   e.shapeless('2x create:deployer', 
    [ 
      'immersiveengineering:component_electronic',
      'create:brass_hand',
      'create:brass_casing',
    ])
  //玫瑰石英 item 
  e.remove({ output: 'create:rose_quartz'})
  e.shapeless('4x create:rose_quartz', 
    [ 
      'minecraft:quartz_block',
      '3x minecraft:redstone',
    ])

  //坚固板

  e.recipes.createCompacting('create:sturdy_sheet',['create:powdered_obsidian',Fluid.of("minecraft:lava",250)])



 


    
    




})
